JavaPlatformPlugin (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.api.plugins

## Class JavaPlatformPlugin

- java.lang.Object
- - org.gradle.api.plugins.JavaPlatformPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Incubating
      public class JavaPlatformPlugin
      extends Object
      implements Plugin<Project>

  The Java platform plugin allows building platform components for Java, which are usually published as BOM files (for Maven) or Gradle platforms (Gradle metadata).
  Since:
    5.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `API_CONFIGURATION_NAME` |
    `static String` | `API_ELEMENTS_CONFIGURATION_NAME` |
    `static String` | `CLASSPATH_CONFIGURATION_NAME` |
    `static String` | `ENFORCED_API_ELEMENTS_CONFIGURATION_NAME` |
    `static String` | `ENFORCED_RUNTIME_ELEMENTS_CONFIGURATION_NAME` |
    `static String` | `RUNTIME_CONFIGURATION_NAME` |
    `static String` | `RUNTIME_ELEMENTS_CONFIGURATION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaPlatformPlugin​(SoftwareComponentFactory softwareComponentFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### API_CONFIGURATION_NAME

          public static final String API_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### RUNTIME_CONFIGURATION_NAME

          public static final String RUNTIME_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### API_ELEMENTS_CONFIGURATION_NAME

          public static final String API_ELEMENTS_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### RUNTIME_ELEMENTS_CONFIGURATION_NAME

          public static final String RUNTIME_ELEMENTS_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### ENFORCED_API_ELEMENTS_CONFIGURATION_NAME

          public static final String ENFORCED_API_ELEMENTS_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### ENFORCED_RUNTIME_ELEMENTS_CONFIGURATION_NAME

          public static final String ENFORCED_RUNTIME_ELEMENTS_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### CLASSPATH_CONFIGURATION_NAME

          public static final String CLASSPATH_CONFIGURATION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaPlatformPlugin

          @Inject
          public JavaPlatformPlugin​(SoftwareComponentFactory softwareComponentFactory)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object